Bug 125761 - Assert when opening paragraph dialog (gtk3 only)
Summary: Assert when opening paragraph dialog (gtk3 only)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.5
Keywords:
Depends on:
Blocks: GTK3 Crash-Assert
  Show dependency treegraph
 
Reported: 2019-06-06 20:00 UTC by Jim Raykowski
Modified: 2019-06-11 10:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2019-06-06 20:00:32 UTC
Description:
Crash when opening paragraph dialog from text box (gtk3 only)

Steps to Reproduce:
1. Menu > Insert > Text Box
2. Enter some text
3. Menu > Format > Paragraph...

Results:  
Crash

Reproducible: gtk3 only

Addition Information:
core/sfx2/source/dialog/tabdlg.cxx:1970: void SfxTabDialogController::Start_Impl(): Assertion `m_pImpl->aData.size() == static_cast<size_t>(m_xTabCtrl->get_n_pages()) && "not all pages registered"' failed.

Bisected to:
Version: 6.2.0.0.alpha0+
Build ID: 6d184e2e23b319128f94649f4e15c2f7bcbffca9
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: threaded

84eda184246223e5764372937f4cae5bc7a83d04 is the first bad commit
commit 84eda184246223e5764372937f4cae5bc7a83d04
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Sep 18 20:24:21 2018 +0200

    source sha:6d184e2e23b319128f94649f4e15c2f7bcbffca9
    
    source sha:6d184e2e23b319128f94649f4e15c2f7bcbffca9

:040000 040000 a789a2146686c35b22d583e376f6d0090f8a3640 c76d0ccac6bd43172f483c4b632f706bd3836949 M      instdir

commit 6d184e2e23b319128f94649f4e15c2f7bcbffca9
Author: Caolán McNamara <caolanm@redhat.com>, Sat Sep 15 15:42:18 2018 +0100 (9 months ago)
Committer: Caolán McNamara <caolanm@redhat.com>, Tue Sep 18 18:12:10 2018 +0200 (9 months ago)
Follows: libreoffice-6-1-branch-point
Precedes: libreoffice-6.2.0.0.alpha1
Branches: <Expand>

weld SwParaDlg

Change-Id: Idb330d63480c0b973190d5f7696aac8f232a16c3
Reviewed-on: https://gerrit.libreoffice.org/60529
Tested-by: Jenkins
Reviewed-by: Caolán McNamara <caolanm@redhat.com>
Tested-by: Caolán McNamara <caolanm@redhat.com>
Comment 1 Commit Notification 2019-06-07 18:49:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/cb0fd00eb3356e5b8cb8aa2c68eceffd63d250bf%5E%21

Resolves: tdf#125761 there is no page called 'labelTP_BACKGROUND'

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2019-06-07 18:49:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/9d42c1c67d8b356626e57bedc63d5be59444d580%5E%21

Resolves: tdf#125761 there is no page called 'labelTP_BACKGROUND'

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-06-11 10:25:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/8ff1e312029adbf9e425f3d075c1e263a7c4e9c4%5E%21

Resolves: tdf#125761 there is no page called 'labelTP_BACKGROUND'

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.